# Generated from rd3-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rd3

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: RD3 is a ruby gem that adheres to and facilitates domain driven design principles
License: MIT
URL: http://github.com/obieq/rd3
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.8.4
# BuildRequires: rubygem(rspec) >= 2.12.0
# BuildRequires: rubygem(simplecov) >= 0.7.1
# BuildRequires: rubygem(mysql2) >= 0.3.11
# BuildRequires: rubygem(pg) >= 0.14.1
# BuildRequires: rubygem(sequel) >= 3.41.0
# BuildRequires: rubygem(waz-storage) >= 1.1.4
# BuildRequires: rubygem(database_cleaner) >= 0.9.1
BuildArch: noarch

%description
enable domain driven design approach via POROs and Repositories vs Rails'
ActiveRecord .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rvmrc
%{gem_instdir}/.simplecov
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rd3.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.1-1
- Initial package
